Skip to main content
PUT
Hand-write one step for one person

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

sequenceId
string<uuid>
required

The unique identifier of the sequence

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
contactId
string<uuid>
required

The person's contact id (from enroll results or the people list)

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
stepIndex
integer
required

Zero-based position in the step list

Required range: 0 <= x <= 9007199254740991

Body

application/json
content
object
required

Response

Default Response

personalization
object
required
unparked
boolean
required
armed
boolean
required